import { __require as l } from "./index-data.js";
import { __require as w } from "./index-AxiosError.js";
var c, d;
function R() {
  if (d) return c;
  d = 1;
  var E = l().version, i = w(), f = {};
  ["object", "boolean", "number", "function", "string", "symbol"].forEach(function(r, a) {
    f[r] = function(t) {
      return typeof t === r || "a" + (a < 1 ? "n " : " ") + r;
    };
  });
  var v = {};
  f.transitional = function(a, o, t) {
    function u(e, n) {
      return "[Axios v" + E + "] Transitional option '" + e + "'" + n + (t ? ". " + t : "");
    }
    return function(e, n, s) {
      if (a === !1)
        throw new i(
          u(n, " has been removed" + (o ? " in " + o : "")),
          i.ERR_DEPRECATED
        );
      return o && !v[n] && (v[n] = !0), a ? a(e, n, s) : !0;
    };
  };
  function b(r, a, o) {
    if (typeof r != "object")
      throw new i("options must be an object", i.ERR_BAD_OPTION_VALUE);
    for (var t = Object.keys(r), u = t.length; u-- > 0; ) {
      var e = t[u], n = a[e];
      if (n) {
        var s = r[e], _ = s === void 0 || n(s, e, r);
        if (_ !== !0)
          throw new i("option " + e + " must be " + _, i.ERR_BAD_OPTION_VALUE);
        continue;
      }
      if (o !== !0)
        throw new i("Unknown option " + e, i.ERR_BAD_OPTION);
    }
  }
  return c = {
    assertOptions: b,
    validators: f
  }, c;
}
export {
  R as __require
};
